extends AnimatedSprite

const ANIM_JUMP_THRESHOLD=100

func update(motion):
	if motion.x>0:
		play("run")
		flip_h=0
		$TimerHurtAnim.stop()
	elif motion.x<0:
		play("run")
		flip_h=1
		$TimerHurtAnim.stop()
	elif !get_parent().is_on_floor() and ( motion.y>ANIM_JUMP_THRESHOLD or motion.y<-ANIM_JUMP_THRESHOLD):
		if !$TimerHurtAnim.is_stopped():
			play("hurt")
		else:
			play("jump")
		flip_h=0
	else:
		if !$TimerHurtAnim.is_stopped():
			play("hurt")
		else:
			play("idle")
		flip_h=0

func hurt():
	$TimerHurtAnim.start()